Subject: bug#59579: installing zbar prevents gdm to start on Ubuntu 22.04 foreign distro

From: zimoun <[email-masked]>
Date: Tue, 31 Jan 2023 10:52:51 +0100

Hi,

On Tue, 31 Jan 2023 at 14:23, 宋文武 via Bug reports for GNU Guix <[email-masked]> wrote:

> Hello, I don't think XDG_DATA_DIRS should be the problems, but other
> environment variables with "lib", since the xdg data should be
> portable...

I had the issue yesterday on Ubuntu. :-)

> I think GUIX_GTK3_PATH, QT_PLUGIN_PATH, GDK_PIXBUF_MODULE_FILE should be
> the problems.

None of these environment variables were in my profile, IIRC.  From my
small experiment, the only common one is XDG_DATA_DIRS.  For instance, I
had the issue and I just removed the package ’fontconfig’ which fixed
the issue;  the environment variables reads,

--8<---------------cut here---------------start------------->8---
$ guix shell fontconfig --search-paths
export PATH="/gnu/store/i5rdrrdq4zi98yzcw7rza169ir1zkj6n-profile/bin${PATH:+:}$PATH"
export XDG_DATA_DIRS="/gnu/store/i5rdrrdq4zi98yzcw7rza169ir1zkj6n-profile/share${XDG_DATA_DIRS:+:}$XDG_DATA_DIRS"
--8<---------------cut here---------------end--------------->8---

The package ’zbar’ also provides XDG_DATA_DIRS.  Maybe, I am missing
something.

Cheers,
simon